import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { ArticleComponent } from "./article/article.component";
import { RouterEmptyComponent } from "./gui/router-empty/router-empty.component";

const routes: Routes = [
	{
		path: "",
		component: ArticleComponent
	},
	{
		path: "article",
		component: RouterEmptyComponent,
		children: [{
			path: "**",
			component: ArticleComponent
		}]
	}
];

@NgModule({
	imports: [RouterModule.forRoot(routes)],
	exports: [RouterModule]
})
export class AppRoutingModule { }
