# LG G2 Cardboard fix

## Fixing the double vision on your LG G2 using Cardboard

### When this problem occurs

If you have installed a custom rom on your LG G2 probably the DPI setting has changed.
The DPI setting is used to calculate the pixel density, and consequently the real measures of your screen. Google Cardboard calculates the distance between eyes using the DPI setting, and if it's wrong some apps using the old CardBoard SDK don't show properly.

#### Here's an example

With 480 DPI (CyanogenMod default setting)<br>
*same length in inches:* 4

With 424 DPI (LG G2 real DPI)<br>
*same length in inches:* 3

### How to fix it

Please choose the method that you prefer

#### Method 1

***Fixing the problem for <u>some</u> apps, keeping your current DPI setting.***

1. Open Cardboard app
2. Tap **Settings**
3. Tap **Change**
4. Scan with your camera this QR-Code:<br>[warning]WARNING: If you do this you can't go back to the default settings![warning]

<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>